<?php
    // Set page title.
    $this->headTitle($this->translate('Install VuFind'));

    // Set up breadcrumbs:
    $this->layout()->breadcrumbs = '<li class="active">' . $this->transEsc('Install VuFind') . '</li>';

    // Set up styles:
    $this->headstyle()->appendStyle(
        ".pre {\n"
        . "  white-space:pre-wrap; width:90%; overflow-y:visible; padding:8px; margin:1em 2em; background:#EEE; border:1px dashed #CCC;\n"
        . "}\n"
    );
?>
<h2><?=$this->transEsc('Install VuFind')?></h2>
<?=$this->flashmessages()?>
<p>Save this SQL somewhere safe:</p>

<textarea class="pre" rows="20" readonly id="sql_text"><?=trim($this->sql) ?></textarea>

<form method="post" action="<?=$this->url('install-showsql')?>">
    <input type="submit" name="continue" value="Next" class="btn btn-primary">
</form>

<?php
$script = <<<JS
    $('#sql_text').click(function(e) {
      this.select();
    });
    JS;
?>
<?=$this->inlineScript(\Laminas\View\Helper\HeadScript::SCRIPT, $script, 'SET');
